"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.App = void 0;
var express_1 = __importDefault(require("express"));
var express_pino_logger_1 = __importDefault(require("express-pino-logger"));
var parse_1 = require("./parse");
var express = express_1.default;
var OK = 200;
var NOT_FOUND = 404;
exports.App = function (config) {
    var logger = config.logger;
    var app = express();
    app.use(express_pino_logger_1.default({ logger: logger }));
    app.use(express.json());
    app.get("/", function (_, response) {
        response.status(OK).send("<h1>Ping</h1>");
    });
    app.get("/healthz", function (_, response) {
        response.status(OK).json({ status: "UP" });
    });
    app.post("/parse", function (request, response) {
        response.status(OK).json(parse_1.parse(request.body));
    });
    app.all("/", function (_, response) {
        response.status(NOT_FOUND).json({
            code: NOT_FOUND,
            message: "Resource not found. Try POST /parse",
        });
    });
    return app;
};
//# sourceMappingURL=app.js.map