"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.handler = void 0;
var parse_1 = require("./parse");
var OK = 200;
var BAD_REQUEST = 400;
var toJson = function (_a) {
    var body = _a.body, statusCode = _a.statusCode;
    var jsonString = JSON.stringify(body);
    return {
        body: jsonString,
        statusCode: statusCode,
        headers: {
            "Content-Type": "application/json",
        },
    };
};
exports.handler = function (event, _, callback) {
    try {
        var query = JSON.parse(event.body);
        var body = parse_1.parse(query);
        var statusCode = OK;
        callback(null, toJson({ statusCode: statusCode, body: body }));
    }
    catch (_) {
        var statusCode = BAD_REQUEST;
        var body = { error: "Invalid JSON Submitted" };
        return callback(null, toJson({ statusCode: statusCode, body: body }));
    }
};
//# sourceMappingURL=netlify.js.map